commit:     98e158a02eb784a9f1f1c33763ac4b7569472356
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 10 20:51:24 2022 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Oct 10 20:59:52 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98e158a0

sys-fs/cryptmount: add 6.1.0

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 sys-fs/cryptmount/Manifest                |  1 +
 sys-fs/cryptmount/cryptmount-6.1.0.ebuild | 75 +++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/sys-fs/cryptmount/Manifest b/sys-fs/cryptmount/Manifest
index 2ec6c70bf5ba..029963f25862 100644
--- a/sys-fs/cryptmount/Manifest
+++ b/sys-fs/cryptmount/Manifest
@@ -1 +1,2 @@
 DIST cryptmount-6.0.tar.gz 556919 BLAKE2B 
54226756a6772810ff68c78ff38502df3890a428830eaa34612640d7e5cefd92085e288c5e45ff5b7e5c8bb8b524f458e55f5080e7e62435ae33a46f76c06845
 SHA512 
aac4ea4969542ade267b3c697988b15ded23fca3c7a330c7b78d990b2b3ad1a393af2d0bea93908187b50e404847cd580a325182397e2667064165764a55b017
+DIST cryptmount-6.1.0.tar.gz 548225 BLAKE2B 
71039c7e2d3fb82fdd4797ce829ce7731c3b6b61c30730b1c5da449d2a559ed6cf8026527f6ed2f6d0b134327e0b3ca54f626cc42e528317f00d29001ead01b5
 SHA512 
a8f43dc9d4cbc87be4fde96a5b79d44bb154ef5b79f353daee1128728c537c8a10a5324a4c4a39d7926fd393bf944da5aaf4e279ff325f7fe47a01559ae5b1d5

diff --git a/sys-fs/cryptmount/cryptmount-6.1.0.ebuild 
b/sys-fs/cryptmount/cryptmount-6.1.0.ebuild
new file mode 100644
index 000000000000..0e747c46700e
--- /dev/null
+++ b/sys-fs/cryptmount/cryptmount-6.1.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-info
+
+DESCRIPTION="A utility for management and user-mode mounting of encrypted 
filesystems"
+HOMEPAGE="http://cryptmount.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="argv0switch cswap fsck +gcrypt +largefile mount +nls +luks +openssl 
selinux systemd udev"
+REQUIRED_USE="
+       luks? ( gcrypt )
+       openssl? ( gcrypt )
+"
+
+RDEPEND="
+       sys-fs/lvm2
+       virtual/libiconv
+       virtual/libintl
+       gcrypt? ( dev-libs/libgcrypt:0= )
+       luks? ( sys-fs/cryptsetup )
+       openssl? ( dev-libs/openssl:0= )
+       systemd? ( sys-apps/systemd )
+       udev? ( virtual/udev )
+"
+
+DEPEND="
+       ${RDEPEND}
+       sys-kernel/linux-headers
+"
+
+BDEPEND="nls? ( sys-devel/gettext )"
+
+CONFIG_CHECK="BLK_DEV_DM"
+ERROR_BLK_DEV_DM="
+       Please enable Device Mapper support in your kernel config
+       -> Device Drivers
+               -> Multiple devices driver support (RAID and LVM)
+                       -> Multiple devices driver support (RAID and LVM)
+                               <*>/<M> Device mapper support
+"
+
+src_prepare() {
+       default
+
+       # Since SELinux is hardcoded, remove it on disabled SELinux profile
+       if ! use selinux; then
+               sed -e '/selinux/d' -i dmutils.c || die
+       fi
+}
+
+src_configure() {
+       local myeconf=(
+               --disable-rpath
+               $(use_enable argv0switch)
+               $(use_enable cswap)
+               $(use_enable fsck)
+               $(use_with gcrypt libgcrypt)
+               $(use_enable largefile)
+               $(use_enable mount delegation)
+               $(use_enable nls)
+               $(use_enable luks)
+               $(use_enable openssl openssl-compat)
+               $(use_with systemd)
+               $(use_enable udev libudev)
+
+       )
+
+       econf "${myeconf[@]}"
+}

Reply via email to